just a quicky, i need to upgrade to 10.4, im only on 10.3.9!  so i was looking on ebay for a cheap disk! anyways i came accross this,  http://cgi.ebay.co.uk/ws/eBayISAPI.dll?V...=1&rd=1
will this be compatable with my g4 agp or am i just being crazy?

cheers, philip